Load Balancer
Create Load Balancer
post
/loadbalancer/Create a new Load Balancer.
Autorización
Authorization
Authorization*string
Bearer YOUR_API_TOKEN con un token de API. También vale la cabecera X-API-Key: YOUR_API_TOKEN.
Cuerpo de la petición
Create a new Load Balancer
application/jsonObligatorio
name*string
Load balancer name
Rango
1 ≤ length ≤ 100label?string | null
Optional label
Rango
length ≤ 255plan_name*string
Plan name (e.g., lb.small, lb.medium)
location_name*string
Location name (e.g., us-mia-1)
project_id?integer | null
Project ID (uses default project if not specified)
network_id?integer | null
Optional private network to attach the LB to. When set, the LB gets a private NIC on this network and reaches targets by their private IP on the same network (it never falls back to public IPs). Must be in the same location as the LB.
Respuestas
Successful Response
application/json
uuid*string
name*string
label?string | null
status*string
plan*LBPlanDetailOut
Plan the Load Balancer runs on.
Propiedades (7)
uuid*string
name*string
description?string | null
price_per_hour*number
max_targets?integer | null
max_listeners?integer | null
connections_per_second?integer | null
location_name?string | null
project_id?integer | null
project_name?string | null
floating_ip?LBFloatingIPSummaryOut | null
Primary public IP of the Load Balancer.
Propiedades (4)
address*string
netmask?string | null
type?string | null
rdns?string | null
listeners?array<LBListenerSummaryOut>
Propiedades (7)
uuid*string
name*string
protocol?string | null
source_port*integer
target_port*integer
enabled?boolean | null
targets_count?integer
Por defecto
0protected?boolean
Por defecto
falsecreated_at?string | null
updated_at?string | null